Retail Express API 2.1

Deletes specific Product Barcode by id

Deletes specific Product Barcode by id

delete
https://api.retailexpress.com.au/v2/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Product Barcode was deleted

delete/products/{id}/barcodes/{barcode_id}
 

producttypes

Searches Product Types by parameters

Searches Product Types by parameters

get
https://api.retailexpress.com.au/v2/producttypes

Query Parameters

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Types data

ProductType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/producttypes
 
application/json

Creates new Product Type entity in the system

Sample request:

POST /producttypes
{
   "name": "ProductTypeName"
}
post
https://api.retailexpress.com.au/v2/producttypes

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

New Product Type was created

ProductType

Product Type Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product type Id.

namestring | null

Product type description (Name)

Match pattern:^[\w\-\s\/\+\.\;\:\(\)\*\&\^\%\$\#\@\,\']{1,50}$

>= 0 characters<= 50 characters

modified_onstring(date-time)

Modified on

post/producttypes

Body

{}
 
application/json

Gets specific Product Type by unique id

Gets specific Product Type by unique id

get
https://api.retailexpress.com.au/v2/producttypes/{id}

Path Parameters

idinteger(int32)required

Product Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Type

ProductType

Product Type Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product type Id.

namestring | null

Product type description (Name)

Match pattern:^[\w\-\s\/\+\.\;\:\(\)\*\&\^\%\$\#\@\,\']{1,50}$

>= 0 characters<= 50 characters

modified_onstring(date-time)

Modified on

get/producttypes/{id}
 
application/json